FS_GETCALLERACCESS(1)

NAME
fs_getcalleraccess - Show the current user's access to a file or directory

SYNOPSIS
fs getcalleraccess << [-path <path+] >>> [-help]

fs gca << [-p <path] >>> [-h]

DESCRIPTION
The fs getcalleraccess command displays the access that the current user has to the specified path using the same representation as fs listacl.

OPTIONS
Prints the online help for this command. All other valid options are ignored. The -path option specifies the path on which to operate. -path may be omitted. If this option isn't given, the default is to act on the current directory.

OUTPUT
For each path, fs getcalleraccess outputs a line like:

    Callers access to <directory> is <rights>
where <directory> is the path on which it is operating and <rights> is an ACL string in the same format as is returned by fs listacl. See the fs_listacl(1) manpage for more information about AFS ACL strings.

EXAMPLES
The following command shows the current user's access to the path /afs/openafs.org, which is read and lookup access.

   % fs getcalleraccess /afs/openafs.org
   Callers access to /afs/openafs.org is rl
   %

PRIVILEGE REQUIRED
No special privileges are required for this command.

SEE ALSO
the fs_listacl(1) manpage, the fs_setacl(1) manpage

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.